POST api/UserButtonActionLog/PostUserButtonClickActionLog
Request Information
URI Parameters
None.
Body Parameters
UserButtonClickActionLogDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Tab_Name | string |
None. |
|
| User_ID | integer |
None. |
|
| Date_Created | date |
None. |
|
| Button_No | integer |
None. |
|
| UserName | string |
None. |
|
| ClickCount | integer |
None. |
|
| EmployeeInfoClickCount | integer |
None. |
|
| IncidentClickCount | integer |
None. |
|
| DispositionClickCount | integer |
None. |
|
| MedicalClickCount | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Tab_Name": "sample string 2",
"User_ID": 1,
"Date_Created": "2026-08-04T14:25:42.3716612-07:00",
"Button_No": 1,
"UserName": "sample string 3",
"ClickCount": 4,
"EmployeeInfoClickCount": 5,
"IncidentClickCount": 6,
"DispositionClickCount": 7,
"MedicalClickCount": 8
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfUserButtonClickActionLogDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | UserButtonClickActionLogDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Tab_Name": "sample string 2",
"User_ID": 1,
"Date_Created": "2026-08-04T14:25:42.3716612-07:00",
"Button_No": 1,
"UserName": "sample string 3",
"ClickCount": 4,
"EmployeeInfoClickCount": 5,
"IncidentClickCount": 6,
"DispositionClickCount": 7,
"MedicalClickCount": 8
},
"totalCount": 3
}